{% extends 'base.html.twig' %}
{% block header_title %}Thèmes discours publics{% endblock %}
{% block header_subtitle %}S-99{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_speech_create') }}" class="btn btn-primary"><em class="icon ni ni-grid-add-fill-c"></em><span>Ajouter un thème</span></a></li>
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_speech_notgiven') }}" class="btn btn-secondary"><em class="icon ni ni-download"></em><span>Export liste des discours non attribués</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">S-99</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner">
                {{ knp_pagination_sortable(speeches, 'Trier par date', 'w.date') }}
                <div class="mt-2">
                    <input type="text" class="form-control" placeholder="Rechercher par numéro ou titre" id="searchSpeech">
                </div>
            </div>
            <div class="card-inner p-0 border-top" id="cardSpeech">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Numéro</span></div>
                        <div class="nk-tb-col tb-col"><span>Titre</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Catégorie</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Présenté le</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for speech in speeches %}
                        <div class="nk-tb-item">
                            <div class="nk-tb-col">
                              {% if speech.presentationReady %}
                                <span class="badge badge-dot bg-success me-1">À présenter</span>
                              {% endif %}
                                <span>{{ speech.number }}</span>
                            </div>
                            <div class="nk-tb-col">
                                <span>{{ speech.title }}</span>
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                {% if speech.category is not null %}
                                    <span>{{ speech.category.title }}</span>
                                {% endif %}
                            </div>
                            <div class="nk-tb-col tb-col-md">
                                {% for weekend in speech.weekends %}
                                    <span class="badge bg-secondary">{{ weekend.date|date('d/m/Y') }}</span>
                                {% endfor %}
                            </div>
                            <div class="nk-tb-col nk-tb-col-action">
                                <div class="dropdown">
                                    <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                    <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                        <ul class="link-list-plain">
                                            <li><a href="{{ path('app_meeting_weekend_speech_show', {'number': speech.number}) }}">Voir</a></li>
                                            <li><a href="{{ path('app_meeting_weekend_speech_edit', {'id': speech.id}) }}">Modifier</a></li>
                                            <li><a href="{{ path('app_meeting_weekend_speech_toggle_ready', {'speech': speech.id}) }}">Toggle disponibilité</a></li>
                                          <li><a href="{{ path('app_meeting_weekend_speech_toggle_priority', {'speech': speech.id}) }}">Toggle prioritaire</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
                <div class="card-footer">
                    {{ knp_pagination_render(speeches) }}
                </div>

            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}

{% block javascripts %}
    <script>
        const $btnLaunch = $('.btnLaunchModal');


        $('.btnLaunchModal').click(function (e) {
            const id = $(this).data('id');
            const $launch = $('#launchModal' + id);
            const path = $launch.data('path');
            e.preventDefault();
            fetch(path).then((response) => {
                return response.text();
            })
                .then((blob) => {
                    $('#modalAjaxEditAssignment').replaceWith(blob);
                    $('#modalAjaxEditAssignment').modal('show');
                })
        })


        const $search = $('#searchSpeech');
        $search.keyup(function (e) {
            const value = e.target.value;
            if (value) {
                fetch('/meeting/weekend/speeches/autocomplete?term=' + value)
                    .then((response) => {
                        return response.text()
                    })
                    .then((json) => {
                        $('#cardSpeech').replaceWith(json)
                    })
            } else {
                fetch('/meeting/weekend/speeches/autocomplete')
                    .then((response) => {
                        return response.text()
                    })
                    .then((json) => {
                        $('#cardSpeech').replaceWith(json)
                    })
            }

        })
    </script>
{% endblock %}
